KDE 4.9 PyKDE API Reference

- KDE's Python API

# KFile Class Reference

`from PyKDE4.kio import *`

## Detailed Description

KFile is a class which provides a namespace for some enumerated values associated with the kfile library. You will never need to construct a KFile object itself.

## Enumerations

FileView | { Default, Simple, Detail, SeparateDirs, PreviewContents, PreviewInfo, Tree, DetailTree, FileViewMax }
Mode | { File, Directory, Files, ExistingOnly, LocalOnly, ModeMax }
SelectionMode | { Single, Multi, Extended, NoSelection }

## Methods

| __init__ (self)

## Static Methods

bool | isDefaultView (KFile.FileView view)
bool | isDetailTreeView (KFile.FileView view)
bool | isDetailView (KFile.FileView view)
bool | isPreviewContents (KFile.FileView view)
bool | isPreviewInfo (KFile.FileView view)
bool | isSeparateDirs (KFile.FileView view)
bool | isSimpleView (KFile.FileView view)
bool | isSortByDate (QDir::SortFlags sort)
bool | isSortByName (QDir::SortFlags sort)
bool | isSortBySize (QDir::SortFlags sort)
bool | isSortByType (QDir::SortFlags sort)
bool | isSortCaseInsensitive (QDir::SortFlags sort)
bool | isSortDirsFirst (QDir::SortFlags sort)
bool | isTreeView (KFile.FileView view)

## Method Documentation

__init__ | ( |  | self ) |

## Static Method Documentation

bool isDefaultView | ( | KFile.FileView | view
| ) |  |  |

bool isDetailTreeView | ( | KFile.FileView | view
| ) |  |  |

bool isDetailView | ( | KFile.FileView | view
| ) |  |  |

bool isPreviewContents | ( | KFile.FileView | view
| ) |  |  |

bool isPreviewInfo | ( | KFile.FileView | view
| ) |  |  |

bool isSeparateDirs | ( | KFile.FileView | view
| ) |  |  |

bool isSimpleView | ( | KFile.FileView | view
| ) |  |  |

bool isSortByDate | ( | QDir::SortFlags | sort
| ) |  |  |

bool isSortByName | ( | QDir::SortFlags | sort
| ) |  |  |

bool isSortBySize | ( | QDir::SortFlags | sort
| ) |  |  |

bool isSortByType | ( | QDir::SortFlags | sort
| ) |  |  |

bool isSortCaseInsensitive | ( | QDir::SortFlags | sort
| ) |  |  |

bool isSortDirsFirst | ( | QDir::SortFlags | sort
| ) |  |  |

bool isTreeView | ( | KFile.FileView | view
| ) |  |  |

## Enumeration Documentation

FileView

Enumerator:

  Default = 0 |
  Simple = 1 |
  Detail = 2 |
  SeparateDirs = 4 |
  PreviewContents = 8 |
  PreviewInfo = 16 |
  Tree = 32 |
  DetailTree = 64 |
  FileViewMax = 65536 |

Mode

Modes of operation for the dialog.

- File - Get a single file name from the user.
- Directory - Get a directory name from the user.
- Files - Get multiple file names from the user.
- ExistingOnly - Never return a filename which does not exist yet
- LocalOnly - Don't return remote filenames

Enumerator:

  ExeCompletion = 1 |
  FileCompletion |
  DirCompletion |

SelectionMode

Enumerator:

  Single = 1 |
  Multi = 2 |
  Extended = 4 |
  NoSelection = 8 |